CHPASSWD(8)

NAZWA
chpasswd - wsadowa aktualizacja pliku haseł

SKŁADNIA
chpasswd [-e]

OPIS
chpasswd odczytuje pary danych (użytkownik i hasło) ze standardowego wejścia. Odczytane informacje wykorzystywane są do aktualizacji danych o grupie istniejących użytkowników. Każdy wiersz przekazywanych danych ma postać:

      nazwa_Użytkownika:hasło

Domyślnie dostarczane hasła muszą być w postaci jawnej. Podczas kodowania haseł używany jest domyślniealgorytm DES. W trakcie zmiany hasła aktualizowany jest także wiek hasła.

Polecenie to przeznaczone jest do użytku w dużych systemach, gdzie aktualizuje się wiele kont naraz.

OPCJE
Polecenie chpasswd posiada następujące opcje:

-e, --encrypted
    Dostarczone na standardowe wejście hasła są traktowane jako już zakodowane.

-h, --help
    Wyświetla krótką informację o tym jak używać program i zakończy pracę.

-m, --md5
    Jeżeli dpostarczane hasła są w postaci jawnej użyj kodowania MD5 zamiast domyślnego DES.

PRZESTROGI
Pamiętaj żeby zabezpieczyć przed odczytem plik przekazywany na standardowe wejście polecenia chpasswd o ile zaiwiera on hasła w postaci jawnej.

ZOBACZ TAKŻE
passwd(1), newusers(8), useradd(8)

AUTOR
Julianne Frances Haugh (jockgrrl@ix.netcom.com)